# RPM Spec file for redwax-signtext-firefox

Name:      redwax-signtext-firefox
Version:   0.9.4
Release:   1%{?dist}
Summary:   Sign text on the web using a smartcard in Firefox
License:   ASL 2.0

URL:       https://redwax.eu/rst/
Source0:   https://archive.redwax.eu/dist/rs/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: zip
BuildRequires: autoconf
BuildRequires: automake

%description
The Redwax SignText native extension and web extension allows text
originating on a website to be signed by a certificate on a smartcard
or other PKCS11 accessible device, and be returned as a PKCS7
signature.

This replicates the original functionality of Netscape / Firefox's
crypto.signText() function.

%prep
%setup -q
%build
%configure
%make_build

%install
%make_install

%files
%{_datadir}/mozilla/extensions/*/rst@redwax.eu.xpi

%doc AUTHORS ChangeLog README.md
%license COPYING

%changelog
* Wed Sep 14 2022 Graham Leggett <minfrin@sharp.fm> - 0.9.0-1
- Initial version of the package


